%define CDVERSION 3.01
Summary: A command line CD/DVD recording program.
Name:		cdrtools
Version:	%{CDVERSION}
Release:	2
Epoch:		3
Prefix:		%{_prefix}
License:	GPL
Group: Applications/Archiving
URL: http://www.fokus.gmd.de/research/cc/glone/employees/joerg.schilling/private/cdrecord.html
Source0: ftp://ftp.fokus.gmd.de/pub/unix/cdrecord/%{name}-%{version}.tar.bz2
Source1:%{name}-%{version}-%{release}.build.log
Patch0: %{name}-libm.patch
Patch1: %{name}-ide.patch
Patch2: %{name}-ide3bc1.patch
Patch3: %{name}-readcd3.patch
BuildRoot:	/var/tmp/%{name}-%{version}
Obsoletes:	cdrecord

%description
Cdrecord is an application for creating audio and data CDs. Cdrecord
works with many different brands of CD recorders, fully supports
multi-sessions and provides human-readable error messages.

%package	devel
Summary: The libschily SCSI user level transport library.
Group: Development/Libraries
Requires:	%{name} = %{epoch}:%{version}
Obsoletes:	cdrecord-devel

%description	devel
The cdrecord-devel package contains a SCSI user level transport
library which can talk to any SCSI device without a special driver for
the device. Cdrecord can easily be ported to any system with a SCSI
device driver similar to the scg driver.

%package -n mkisofs
Version: 3.01
Summary: Creates an image of an ISO9660 filesystem.
Group: Applications/System
Obsoletes: cdrecord-mkisofs

%description -n mkisofs
The mkisofs program is used as a pre-mastering program; i.e., it
generates the ISO9660 filesystem.  Mkisofs takes a snapshot of
a given directory tree and generates a binary image of the tree
which will correspond to an ISO9660 filesystem when written to
a block device.  Mkisofs is used for writing CD-ROMs, and includes
support for creating bootable El Torito CD-ROMs.

Install the mkisofs package if you need a program for writing
CD-ROMs.

%package -n cdda2wav
Group: Applications/Multimedia
Summary: A utility for sampling/copying .wav files from digital audio CDs.
Obsoletes: cdrecord-cdda2wav

%description -n cdda2wav
Cdda2wav is a sampling utility for CD-ROM drives that are capable of
providing a CD's audio data in digital form to your host. Audio data
read from the CD can be saved as .wav or .sun format sound files.
Recording formats include stereo/mono, 8/12/16 bits and different
rates.  Cdda2wav can also be used as a CD player.

%prep
%setup -q
%ifnos aix5.1
# Add the libm & ide patches for aix5.2 (and up); exclude 5.1
%patch0
%patch1 -b .ide
%patch2 -b .ide3bc1
%patch3 -b .readcd3
%endif

rm -rf   /tmp/%{name}-%{version}-32bit
cp -pr . /tmp/%{name}-%{version}-32bit
rm -fr *
mv       /tmp/%{name}-%{version}-32bit 32bit
cp -pr 32bit 64bit

#export CC_OPT_LEVEL="-g"
%build
if [[ -z "$CC" ]]
then
    if test "X`type cc 2>/dev/null`" != 'X'; then
       CC=cc
    else 
       CC=gcc
    fi
fi

# build on 64bit mode
export OBJECT_MODE=64
cd 64bit
./Gmake CCOM=cc CFLAGS="-q64" CPPOPTX="-O2" LDOPTX="-q64"

# build on 32bit mode
export OBJECT_MODE=32
cd ../32bit
./Gmake CCOM=cc CFLAGS="-q32" CPPOPTX="-D_LARGE_FILES -O2" LDOPTX="-q32"

%install
rm -rf $RPM_BUILD_ROOT
if [[ -z "$CC" ]]
then
    if test "X`type cc 2>/dev/null`" != 'X'; then
       CC=cc
    else 
       CC=gcc
    fi
fi
# install on 64bit mode
export OBJECT_MODE=64
cd 64bit
./Gmake CCOM=cc CFLAGS="-q64" "INS_BASE=%{prefix}" DEFMANBASE=. DESTDIR=$RPM_BUILD_ROOT install
mkdir $RPM_BUILD_ROOT%{_libdir}64
mv $RPM_BUILD_ROOT%{_libdir}/* $RPM_BUILD_ROOT%{_libdir}64/
(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_64
    done
)

# install on 32bit mode
export OBJECT_MODE=32
cd ../32bit
./Gmake CCOM=cc CFLAGS="-q32" "INS_BASE=%{prefix}" DEFMANBASE=. DESTDIR=$RPM_BUILD_ROOT install
(
    cd  ${RPM_BUILD_ROOT}/%{_prefix}/bin
    for fic in $(ls -1| grep -v -e _32 -e _64)
    do
	mv $fic "$fic"_32
	ln -sf "$fic"_64 $fic
    done
)

# Installing Header files for use with devel package
[ -e  include/scg ] && rm include/scg

install -d $RPM_BUILD_ROOT%{prefix}/include/schily/scg
install -m 644 include/Makefile $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 include/schily/* $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 incs/*/xconfig.h $RPM_BUILD_ROOT%{prefix}/include/schily
install -m 644 libscg/scg/* $RPM_BUILD_ROOT%{prefix}/include/schily/scg

mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 cdrecord/cdrecord.dfl $RPM_BUILD_ROOT/etc/cdrecord.conf

/usr/bin/strip -X32_64 $RPM_BUILD_ROOT%{prefix}/bin/* || :

(cd $RPM_BUILD_ROOT
 for dir in include
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{prefix}/$dir/* .
    cd -
 done
 for dir in bin
 do
    mkdir -p usr/linux/bin
    cd usr/linux/bin
    ln -sf ../../..%{prefix}/$dir/* .
    cd -
 done

 mkdir -p usr/lib
 cd usr/lib
 for lib in $(ls -1 ../..%{prefix}/lib| grep -wv -e profiled -e siconv)
 do
     ln -sf ../..%{prefix}/lib/"$lib" .
 done
 for dir in profiled siconv
 do
     mkdir $dir
     cd $dir
     ln -sf ../../..%{prefix}/lib/"$dir"/* .
     cd -
 done
 cd ../..
 mkdir -p usr/lib64
 cd usr/lib64
 for lib in $(ls -1 ../..%{prefix}/lib64| grep -wv -e profiled -e siconv)
 do
     ln -sf ../..%{prefix}/lib64/"$lib" .
 done
 for dir in profiled siconv
 do
     mkdir $dir
     cd $dir
     ln -sf ../../..%{prefix}/lib64/"$dir"/* .
     cd -
 done

)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,system)
%doc 32bit/AN-%{CDVERSION} 32bit/doc/cdrecord.ps 32bit/Changelog 32bit/README*
#%doc 32bit/cdrecord/cdrecord.dfl
%config /etc/cdrecord.conf
%{prefix}/bin/cdrecord*
%{prefix}/bin/readcd*
%{prefix}/bin/devdump*
%{prefix}/bin/isoinfo*
%{prefix}/bin/isodump*
%{prefix}/bin/isovfy*
%{prefix}/bin/btcflash*
%{prefix}/bin/isodebug*
%{prefix}/bin/scgcheck*
%{prefix}/bin/scgskeleton*
/usr/linux/bin/cdrecord*
/usr/linux/bin/readcd*
/usr/linux/bin/devdump*
/usr/linux/bin/isoinfo*
/usr/linux/bin/isodump*
/usr/linux/bin/isovfy*
/usr/linux/bin/btcflash*
/usr/linux/bin/isodebug*
/usr/linux/bin/scgcheck*
/usr/linux/bin/scgskeleton*
%{prefix}/man/man1/cdrecord.1*
%{prefix}/man/man1/readcd.1*
%{prefix}/man/man8/isoinfo.8*

%files	devel
%defattr(-,root,system)
%{prefix}/lib/libdeflt.a
%{prefix}/lib/libscg.a
%{prefix}/lib/libschily.a
%{prefix}/lib/libcdrdeflt.a
%{prefix}/lib/libedc_ecc.a
%{prefix}/lib/libedc_ecc_dec.a
%{prefix}/lib/libfile.a
%{prefix}/lib/libfind.a
%{prefix}/lib/libhfs.a
%{prefix}/lib/libmdigest.a
%{prefix}/lib/libparanoia.a
%{prefix}/lib/librscg.a
%{prefix}/lib/libscgcmd.a
%{prefix}/lib/libsiconv.a
%{prefix}/lib/profiled/*
%{prefix}/lib/siconv/*
/usr/lib/libdeflt.a
/usr/lib/libscg.a
/usr/lib/libschily.a
/usr/lib/libcdrdeflt.a
/usr/lib/libedc_ecc.a
/usr/lib/libedc_ecc_dec.a
/usr/lib/libfile.a
/usr/lib/libfind.a
/usr/lib/libhfs.a
/usr/lib/libmdigest.a
/usr/lib/libparanoia.a
/usr/lib/librscg.a
/usr/lib/libscgcmd.a
/usr/lib/libsiconv.a
/usr/lib/profiled
/usr/lib/siconv
%{prefix}/lib64/libdeflt.a
%{prefix}/lib64/libscg.a
%{prefix}/lib64/libschily.a
%{prefix}/lib64/libcdrdeflt.a
%{prefix}/lib64/libedc_ecc.a
%{prefix}/lib64/libedc_ecc_dec.a
%{prefix}/lib64/libfile.a
%{prefix}/lib64/libfind.a
%{prefix}/lib64/libhfs.a
%{prefix}/lib64/libmdigest.a
%{prefix}/lib64/libparanoia.a
%{prefix}/lib64/librscg.a
%{prefix}/lib64/libscgcmd.a
%{prefix}/lib64/libsiconv.a
%{prefix}/lib64/profiled/*
%{prefix}/lib64/siconv/*
/usr/lib64/libdeflt.a
/usr/lib64/libscg.a
/usr/lib64/libschily.a
/usr/lib64/libcdrdeflt.a
/usr/lib64/libedc_ecc.a
/usr/lib64/libedc_ecc_dec.a
/usr/lib64/libfile.a
/usr/lib64/libfind.a
/usr/lib64/libhfs.a
/usr/lib64/libmdigest.a
/usr/lib64/libparanoia.a
/usr/lib64/librscg.a
/usr/lib64/libscgcmd.a
/usr/lib64/libsiconv.a
/usr/lib64/profiled/*
/usr/lib64/siconv/*
%{prefix}/include/schily
/usr/include/schily

%files -n mkisofs
%defattr(-,root,system)
%doc 32bit/AN-%{CDVERSION} 32bit/mkisofs/COPYING 32bit/mkisofs/ChangeLog
%doc 32bit/mkisofs/README*
%{prefix}/bin/mkisofs*
%{prefix}/bin/mkhybrid*
/usr/linux/bin/mkisofs*
/usr/linux/bin/mkhybrid*
%{prefix}/man/man8/mkisofs.8*

%files -n cdda2wav
%defattr(-,root,system)
%doc 32bit/AN-%{CDVERSION}
#%doc 32bit/cdda2wav/README* 32bit/cdda2wav/Frontends 32bit/cdda2wav/HOWTOUSE
%{prefix}/bin/cdda2wav*
%{prefix}/bin/cdda2mp3*
%{prefix}/bin/cdda2ogg*
/usr/linux/bin/cdda2wav*
/usr/linux/bin/cdda2mp3*
/usr/linux/bin/cdda2ogg*
%{prefix}/man/man1/cdda2wav.1*

%changelog
* Tue Jun 12 2018 <reskumar@in.ibm.com> 3.01-2
- Rebuild to fix file conflict issue

* Wed Sep 27 2017 <reskumar@in.ibm.com> 3.01-1
- Update to version 3.01

* Thu Mar 31 2011 <smallayy@in.ibm.com> 1.9-9
- Add long write issue fix.

* Wed Jul 22 2009 Reza Arbab <arbab@austin.ibm.com> 1.9-8
- Stop using Write6/write_g0.

* Mon Mar 20 2006 Reza Arbab <arbab@austin.ibm.com> 1.9-7
- Fix an errno handling bug when the media is unwritable.

* Fri Jun 24 2005 Reza Arbab <arbab@austin.ibm.com> 1.9-6
- Add support for DK_PASSTHRU. 

* Fri Feb 18 2005 David Clissold <cliss@austin.ibm.com> 1.9-5
- Try to get working correctly w/ IDE.  Seems to work now.
   (Code assistance from Nick Ham made this possible.)

* Mon May 14 2001 Marc Stephenson <marc@austin.ibm.com>
- Build with large files enabled

* Fri Mar 02 2001 Marc Stephenson <marc@austin.ibm.com>
- Observe IA64 32-bit ABI changes

* Wed Jan 10 2001 Marc Stephenson <aixtoolbox-l@austin.ibm.com>
- Added links for AIX Toolbox distribution

* Wed Feb 23 2000 Bill Nottingham <notting@redhat.com>
- fix cdda2wav on sparc, and probably other IDE drives...

* Tue Feb 01 2000 Cristian Gafton <gafton@redhat.com>
- version 1.8 final
- man pages are compressed

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies
- get rid of useless defines at the top of the spec file

* Fri Jan 28 2000 Cristian Gafton <gafton@redhat.com>
- version 1.8a40
- according to the author, cdda2wav and mkisofs are more recent in this
  package, so build them out of this tree too
- add sparc patch from jakub

* Sun Dec 12 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.8a34

* Mon Sep 20 1999 Matt Wilson <msw@redhat.com>
- require serial:version

* Mon Sep 20 1999 Preston Brown <pbrown@redhat.com>
- a29

* Mon Sep 13 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Sep 06 1999 Cristian Gafton <gafton@redhat.com>
- move config file to a sane place (/etc/cdrecord.conf)

* Mon Aug 30 1999 Preston Brown <pbrown@redhat.com>
- 1.8a25

* Mon Aug 23 1999 Cristian Gafton <gafton@redhat.com>
- removed the mkisofs subpackage - we have mkisofs provided by 
  a'nother package (doh!)
- moved former mkisofs diagnostic binaries to the main package
- get rod of the cdda2wav too; cdparanoia is now in the distribution and
  it is a whole lot better too

* Fri Aug 20 1999 Preston Brown <pbrown@redhat.com>
- adopted for Red Hat Linux 6.1 from Ryan Weaver.

